---
title: "Update store translation data"
description: "Update a store's translation data."
doc_type: openapi
doc_category: openapi
doc_version: v20260901
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/localizations/update-store-translation-data'
  md: 'https://developer.shopline.com/docs/admin-rest-api/localizations/update-store-translation-data.md'
---
# Update store translation data

Update a store's translation data.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_translation`
- **API Version:** v20260901
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /ugc/resource.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_translation`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `resource_list`

  array<object>

  List of store resource information to be updated.<br></br>Maximum size: 200.

  * `resource_type`

    string

    The type of the resource. Valid values are:
    - `COLLECTION`: Collection
    - `PRODUCT`: Product
    - `PRODUCT_Category`: Product category
    - `PRODUCT_OPTION`: Product option
    - `PRODUCT_VARIANT`: Product variant
    - `SELLING_PLAN`: Selling plan
    - `FILTER`: Filter
    - `FILTER_GROUP`: Filter group
    - `FILTER_VALUE`: Filter value
    - `SORT`: Sort
    - `DELIVERY_METHOD`: Delivery method
    - `PAYMENT_METHOD`: Payment method
    - `TAXES`: Taxes
    - `SETTLE_CONFIG`: Settlement configuration
    - `SETTLE_ADDITIONAL_INFO`: Settlement additional information
    - `WEBSITE_BLOG`: Website blog
    - `WEBSITE_BLOG_COLLECTION`: Website blog collection
    - `WEBSITE_CUSTOMIZE_PAGE`: Website customize page
    - `WEBSITE_NAVIGATION`: Website navigation
    - `WEBSITE_POLICY_PAGE`: Website policy page
    - `LINK`: Link
    - `METAFIELD`: Metafield

  * `content_list`

    array<object>

    List of translation corpus corresponding to the resource.<br></br>Maximum size: 100.

    * `resource_content`

      string

      Translated resource content.

    * `resource_field`

      string

      The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.

  * `locale`

    string

    Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management). 

  * `market`

    string

    The primary market for the store.

  * `resource_id`

    string

    The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  object

  Response data.

  * `fail_list`

    array<object>

    A list of updated failure information for store translation data.

    * `fail_cause`

      string

      Error code for the update failure.

    * `locale`

      string

      Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management).

    * `market`

      string

      The primary market for the store.

    * `resource_content`

      string

      Translated resource content.

    * `resource_field`

      string

      The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.

    * `resource_id`

      string

      The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.

    * `resource_type`

      string

      The type of the resource. Valid values are:
      - `COLLECTION`: Collection
      - `PRODUCT`: Product
      - `PRODUCT_Category`: Product category
      - `PRODUCT_OPTION`: Product option
      - `PRODUCT_VARIANT`: Product variant
      - `SELLING_PLAN`: Selling plan
      - `FILTER`: Filter
      - `FILTER_GROUP`: Filter group
      - `FILTER_VALUE`: Filter value
      - `SORT`: Sort
      - `DELIVERY_METHOD`: Delivery method
      - `PAYMENT_METHOD`: Payment method
      - `TAXES`: Taxes
      - `SETTLE_CONFIG`: Settlement configuration
      - `SETTLE_ADDITIONAL_INFO`: Settlement additional information
      - `WEBSITE_BLOG`: Website blog
      - `WEBSITE_BLOG_COLLECTION`: Website blog collection
      - `WEBSITE_CUSTOMIZE_PAGE`: Website customize page
      - `WEBSITE_NAVIGATION`: Website navigation
      - `WEBSITE_POLICY_PAGE`: Website policy page
      - `LINK`: Link
      - `METAFIELD`: Metafield

  * `resource_list`

    array<object>

    A list of store transaction data that was successfully updated.

    * `resource_type`

      string

      The type of the resource. Valid values are:
      - `COLLECTION`: Collection
      - `PRODUCT`: Product
      - `PRODUCT_Category`: Product category
      - `PRODUCT_OPTION`: Product option
      - `PRODUCT_VARIANT`: Product variant
      - `SELLING_PLAN`: Selling plan
      - `FILTER`: Filter
      - `FILTER_GROUP`: Filter group
      - `FILTER_VALUE`: Filter value
      - `SORT`: Sort
      - `DELIVERY_METHOD`: Delivery method
      - `PAYMENT_METHOD`: Payment method
      - `TAXES`: Taxes
      - `SETTLE_CONFIG`: Settlement configuration
      - `SETTLE_ADDITIONAL_INFO`: Settlement additional information
      - `WEBSITE_BLOG`: Website blog
      - `WEBSITE_BLOG_COLLECTION`: Website blog collection
      - `WEBSITE_CUSTOMIZE_PAGE`: Website customize page
      - `WEBSITE_NAVIGATION`: Website navigation
      - `WEBSITE_POLICY_PAGE`: Website policy page
      - `LINK`: Link
      - `METAFIELD`: Metafield

    * `updated_at`

      string

      The date and time when the translation data was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

    * `locale`

      string

      Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management).

    * `market`

      string

      The primary market for the store.

    * `outdated`

      boolean

      Whether the translation data is outdated or up-to-date. If the original content has been updated but its translation has not, the translation data is considered to be outdated.
      - `true`: The translation data is outdated. 
      - `false`: The translation data is up-to-date. 

    * `resource_content`

      string

      Translated resource content.

    * `resource_field`

      string

      The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.

    * `resource_id`

      string

      The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Update store translation data"
  ],
  "description": "Update a store's translation data.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_translation` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "Px0AyUPV",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "Body location parameters",
          "type": "object",
          "properties": {
            "resource_list": {
              "name": "resource_list",
              "description": "List of store resource information to be updated.<br></br>Maximum size: 200.",
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "resource_type": {
                    "name": "resource_type",
                    "description": "The type of the resource. Valid values are:\n- `COLLECTION`: Collection\n- `PRODUCT`: Product\n- `PRODUCT_Category`: Product category\n- `PRODUCT_OPTION`: Product option\n- `PRODUCT_VARIANT`: Product variant\n- `SELLING_PLAN`: Selling plan\n- `FILTER`: Filter\n- `FILTER_GROUP`: Filter group\n- `FILTER_VALUE`: Filter value\n- `SORT`: Sort\n- `DELIVERY_METHOD`: Delivery method\n- `PAYMENT_METHOD`: Payment method\n- `TAXES`: Taxes\n- `SETTLE_CONFIG`: Settlement configuration\n- `SETTLE_ADDITIONAL_INFO`: Settlement additional information\n- `WEBSITE_BLOG`: Website blog\n- `WEBSITE_BLOG_COLLECTION`: Website blog collection\n- `WEBSITE_CUSTOMIZE_PAGE`: Website customize page\n- `WEBSITE_NAVIGATION`: Website navigation\n- `WEBSITE_POLICY_PAGE`: Website policy page\n- `LINK`: Link\n- `METAFIELD`: Metafield",
                    "type": "string",
                    "example": "COLLECTION"
                  },
                  "content_list": {
                    "name": "content_list",
                    "description": "List of translation corpus corresponding to the resource.<br></br>Maximum size: 100.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "resource_content": {
                          "name": "resource_content",
                          "description": "Translated resource content.",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.",
                          "type": "string",
                          "example": "title"
                        }
                      },
                      "required": [
                        "resource_content",
                        "resource_field"
                      ],
                      "example": {
                        "resource_field": "title",
                        "resource_content": "The content of the key to the key of the cot"
                      }
                    },
                    "example": [
                      {}
                    ]
                  },
                  "locale": {
                    "name": "locale",
                    "description": "Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management). ",
                    "type": "string",
                    "example": "en"
                  },
                  "market": {
                    "name": "market",
                    "description": "The primary market for the store.",
                    "type": "string",
                    "example": "2805652120189036673434"
                  },
                  "resource_id": {
                    "name": "resource_id",
                    "description": "The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.",
                    "type": "string",
                    "example": "16065157700911371584482600"
                  }
                },
                "required": [
                  "content_list",
                  "resource_id",
                  "locale",
                  "resource_type"
                ],
                "example": {
                  "locale": "en",
                  "market": "2805652120189036673434",
                  "resource_id": "16065157700911371584482600",
                  "resource_type": "COLLECTION",
                  "content_list": [
                    {}
                  ]
                }
              },
              "example": [
                {}
              ]
            }
          },
          "required": [
            "resource_list"
          ],
          "example": {
            "resource_list": [
              {}
            ]
          }
        },
        "examples": {
          "Update the English translation for a product title in a specific market": {
            "description": "Update the English translation for a product title in a specific market.",
            "value": {
              "resource_list": [
                {
                  "content_list": [
                    {
                      "resource_content": "test content1",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "market": "2805979406510623080534",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT"
                },
                {
                  "content_list": [
                    {
                      "resource_content": "test content2",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "market": "2805979406510623080535",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT"
                }
              ]
            }
          },
          "Update the English translation for a product title in the default market": {
            "description": "Update the English translation for a product title in the default market.",
            "value": {
              "resource_list": [
                {
                  "locale": "en",
                  "resource_id": "16067911850440298506251820",
                  "resource_type": "PRODUCT",
                  "content_list": [
                    {
                      "resource_content": "test content1",
                      "resource_field": "title"
                    }
                  ]
                },
                {
                  "resource_type": "PRODUCT",
                  "content_list": [
                    {
                      "resource_content": "test content2",
                      "resource_field": "title"
                    }
                  ],
                  "locale": "en",
                  "resource_id": "16067911850440298506251823"
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "Response data.",
                "type": "object",
                "properties": {
                  "fail_list": {
                    "name": "fail_list",
                    "description": "A list of updated failure information for store translation data.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "fail_cause": {
                          "name": "fail_cause",
                          "description": "Error code for the update failure.",
                          "type": "string",
                          "example": "VERIFY_RESOURCE_FAIL"
                        },
                        "locale": {
                          "name": "locale",
                          "description": "Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management).",
                          "type": "string",
                          "example": "en"
                        },
                        "market": {
                          "name": "market",
                          "description": "The primary market for the store.",
                          "type": "string",
                          "example": "2805652120189036673434"
                        },
                        "resource_content": {
                          "name": "resource_content",
                          "description": "Translated resource content.",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.",
                          "type": "string",
                          "example": "title"
                        },
                        "resource_id": {
                          "name": "resource_id",
                          "description": "The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.",
                          "type": "string"
                        },
                        "resource_type": {
                          "name": "resource_type",
                          "description": "The type of the resource. Valid values are:\n- `COLLECTION`: Collection\n- `PRODUCT`: Product\n- `PRODUCT_Category`: Product category\n- `PRODUCT_OPTION`: Product option\n- `PRODUCT_VARIANT`: Product variant\n- `SELLING_PLAN`: Selling plan\n- `FILTER`: Filter\n- `FILTER_GROUP`: Filter group\n- `FILTER_VALUE`: Filter value\n- `SORT`: Sort\n- `DELIVERY_METHOD`: Delivery method\n- `PAYMENT_METHOD`: Payment method\n- `TAXES`: Taxes\n- `SETTLE_CONFIG`: Settlement configuration\n- `SETTLE_ADDITIONAL_INFO`: Settlement additional information\n- `WEBSITE_BLOG`: Website blog\n- `WEBSITE_BLOG_COLLECTION`: Website blog collection\n- `WEBSITE_CUSTOMIZE_PAGE`: Website customize page\n- `WEBSITE_NAVIGATION`: Website navigation\n- `WEBSITE_POLICY_PAGE`: Website policy page\n- `LINK`: Link\n- `METAFIELD`: Metafield",
                          "type": "string",
                          "example": "COLLECTION"
                        }
                      },
                      "example": {
                        "market": "2805652120189036673434",
                        "resource_content": "The content of the key to the key of the cot",
                        "resource_field": "title",
                        "resource_id": null,
                        "resource_type": "COLLECTION",
                        "fail_cause": "VERIFY_RESOURCE_FAIL",
                        "locale": "en"
                      }
                    }
                  },
                  "resource_list": {
                    "name": "resource_list",
                    "description": "A list of store transaction data that was successfully updated.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "resource_type": {
                          "name": "resource_type",
                          "description": "The type of the resource. Valid values are:\n- `COLLECTION`: Collection\n- `PRODUCT`: Product\n- `PRODUCT_Category`: Product category\n- `PRODUCT_OPTION`: Product option\n- `PRODUCT_VARIANT`: Product variant\n- `SELLING_PLAN`: Selling plan\n- `FILTER`: Filter\n- `FILTER_GROUP`: Filter group\n- `FILTER_VALUE`: Filter value\n- `SORT`: Sort\n- `DELIVERY_METHOD`: Delivery method\n- `PAYMENT_METHOD`: Payment method\n- `TAXES`: Taxes\n- `SETTLE_CONFIG`: Settlement configuration\n- `SETTLE_ADDITIONAL_INFO`: Settlement additional information\n- `WEBSITE_BLOG`: Website blog\n- `WEBSITE_BLOG_COLLECTION`: Website blog collection\n- `WEBSITE_CUSTOMIZE_PAGE`: Website customize page\n- `WEBSITE_NAVIGATION`: Website navigation\n- `WEBSITE_POLICY_PAGE`: Website policy page\n- `LINK`: Link\n- `METAFIELD`: Metafield",
                          "type": "string",
                          "example": "COLLECTION"
                        },
                        "updated_at": {
                          "name": "updated_at",
                          "description": "The date and time when the translation data was last updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                          "type": "string",
                          "example": "2023-09-07T15:50:00Z"
                        },
                        "locale": {
                          "name": "locale",
                          "description": "Language used in the [market](https://help.shopline.com/hc/en-001/articles/12436136316313-Market-Management).",
                          "type": "string",
                          "example": "en"
                        },
                        "market": {
                          "name": "market",
                          "description": "The primary market for the store.",
                          "type": "string",
                          "example": "2805652120189036673434"
                        },
                        "outdated": {
                          "name": "outdated",
                          "description": "Whether the translation data is outdated or up-to-date. If the original content has been updated but its translation has not, the translation data is considered to be outdated.\n- `true`: The translation data is outdated. \n- `false`: The translation data is up-to-date. ",
                          "type": "boolean",
                          "example": false
                        },
                        "resource_content": {
                          "name": "resource_content",
                          "description": "Translated resource content.",
                          "type": "string",
                          "example": "The content of the key to the key of the cot"
                        },
                        "resource_field": {
                          "name": "resource_field",
                          "description": "The resource attribute associated with `resource_content`. For example, when `resource_type` is `PRODUCT` and `resource_field` is `title`, `resource_content` represents the product title. The range of valid values depends on `resource_type`. Refer to [resource_type and resource_field](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/resource-type-and-resource-field.md) for the valid values and mapping between `resource_field` and `resource_type`.",
                          "type": "string",
                          "example": "title"
                        },
                        "resource_id": {
                          "name": "resource_id",
                          "description": "The resource ID. <br></br>For example, when `resource_type` is `PRODUCT`, this parameter value is the product ID.",
                          "type": "string"
                        }
                      },
                      "example": {
                        "resource_id": null,
                        "resource_type": "COLLECTION",
                        "updated_at": "2023-09-07T15:50:00Z",
                        "locale": "en",
                        "market": "2805652120189036673434",
                        "outdated": false,
                        "resource_content": "The content of the key to the key of the cot",
                        "resource_field": "title"
                      }
                    }
                  }
                },
                "example": {
                  "fail_list": null,
                  "resource_list": null
                }
              }
            },
            "example": {
              "data": {
                "fail_list": null,
                "resource_list": null
              }
            }
          },
          "examples": {
            "Update the English translation for a product title in the default market": {
              "description": "Update the English translation for a product title in the default market.",
              "value": {
                "data": {
                  "fail_list": [
                    {
                      "locale": "en",
                      "market": "2805979406510623080535",
                      "resource_content": "test content2",
                      "resource_field": "title",
                      "resource_id": "16067911850440298506251823",
                      "resource_type": "PRODUCT",
                      "fail_cause": "DEFAULT_RESOURCE_NOT_EXIST"
                    }
                  ],
                  "resource_list": [
                    {
                      "resourceType": "PRODUCT",
                      "updatedAt": "2025-01-04T07:01:18Z",
                      "locale": "en",
                      "market": "2805979406510623080534",
                      "outdated": false,
                      "resourceContent": "test content1",
                      "resourceField": "title",
                      "resourceId": "16067911850440298506251820"
                    }
                  ]
                }
              }
            },
            "Update the English translation for a product title in a specific market": {
              "description": "Update the English translation for a product title in a specific market.",
              "value": {
                "data": {
                  "fail_list": [
                    {
                      "resource_id": "16067911850440298506251820",
                      "resource_type": "PRODUCT",
                      "fail_cause": "MARKET_NOT_EXIST",
                      "locale": "en",
                      "market": "2805979406510623080535",
                      "resource_content": "test content2",
                      "resource_field": "title"
                    }
                  ],
                  "resource_list": [
                    {
                      "market": "2805979406510623080534",
                      "outdated": false,
                      "resourceContent": "test content1",
                      "resourceField": "title",
                      "resourceId": "16067911850440298506251820",
                      "resourceType": "PRODUCT",
                      "updatedAt": "2025-01-04T07:01:18Z",
                      "locale": "en"
                    }
                  ]
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/ugc/resource.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update store translation data",
    "version": "v20260901"
  },
  "authIndexes": [
    "write_translation"
  ]
}
```